#
# spec file for package xfd
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xfd
Version:        1.1.4
Release:        1.7
Summary:        Utility to display all the characters in an X font
License:        X11
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xfd utility creates a window containing the name of the font being
displayed, a row of command buttons, several lines of text for displaying
character metrics, and a grid containing one glyph per cell.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/xfd
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Xfd
%{_mandir}/man1/xfd.1%{?ext_man}

%changelog
* Sun Dec  4 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.4
  * gitlab CI: add a basic build test
  * Use _CONST_X_STRING to make libXt declare String as const char *
  * Fix warning: missing initializer for field ‘extension’ of
  * ‘SimpleClassPart'
  * Variable scope reductions as recommended by cppcheck
  * Mark usage() as _X_NORETURN _X_COLD
  * gitlab CI: stop requiring Signed-off-by in commits
  * Handle -Wextra-semi-stmt warnings from clang
  * Tag unused arguments to callback functions as _X_UNUSED
* Sun Mar 10 2019 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.3
  * autogen: add default patch prefix
  * autogen.sh: use quoted string variables
  * autogen.sh: use exec instead of waiting for configure to finish
  * autogen.sh: Honor NOCONFIGURE=1
  * configure: Drop AM_MAINTAINER_MODE
  * Move domaindir declaration inside #ifdef USE_GETTEXT
  * Re-enable code to use XKB Bells
  * Update configure.ac bug URL for gitlab migration
  * Update README for gitlab migration
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Sun Jul 21 2013 zaitor@opensuse.org
- Update to version 1.1.2:
  + Suppress a spurious warning.
  + Mark do_quit as noreturn, as suggested by gcc & clang.
  + Convert sprintf calls to snprintf.
  + Drop old CVS version tags.
  + config: Add missing AC_CONFIG_SRCDIR.
  + Fix SEGV when XftFontOpenName() returns NULL.
- Add pkgconfig(xproto) BuildRequires: new dependency.
- Drop xfd.diff patch, fixed upstream.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.1.1:
  + Remove freetype2 from PKG_CHECK_MODULES list
  + Build system fixes.
- Remove pkgconfig(freetype2) BuildRequires, following upstream
  changes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xfd from xorg-x11. Initial version: 1.1.0.
